Bug 237002 - DeprecationWarning: The xmllib module is obsolete. Use xml.sax instead.
Summary: DeprecationWarning: The xmllib module is obsolete. Use xml.sax instead.
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libxml2   
(Show other bugs)
Version: 11
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-18 20:14 UTC by Robert Scheck
Modified: 2010-01-18 10:05 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-18 10:05:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2007-04-18 20:14:37 UTC
Description of problem:
During rebuild of libxml2 I'm getting the following message (which has no 
impact for building):

[...]
/usr/lib/python2.5/xmllib.py:9: DeprecationWarning: The xmllib module is 
obsolete.  Use xml.sax instead.
  warnings.warn("The xmllib module is obsolete.  Use xml.sax instead.", 
DeprecationWarning)
[...]

Version-Release number of selected component (if applicable):
libxml2-2.6.28-1

How reproducible:
Everytime, try to rebuild libxml2.

Comment 1 Daniel Veillard 2007-07-13 14:19:15 UTC
Yeah, I know, it had been that way for years now. Something I need to fix
upstream someday, but as long as it still work more pressing work takes
priority :-\
So agreed but don't hold your breath !

Daniel

Comment 2 Robert Scheck 2008-03-15 12:21:29 UTC
Same still with 2.6.31-2.

Comment 3 Daniel Veillard 2008-03-17 08:58:19 UTC
Yes there is far more productive stuff to do upstream, as usual I take patches !
Note that libxml2 bugzilla is on gnome.org, see:
  http://xmlsoft.org/help.html

Daniel

Comment 4 Bug Zapper 2008-05-14 02:46:49 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-06-09 09:14:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Daniel Veillard 2010-01-18 10:05:07 UTC
Fix is now upstream, will be fixed in the next release

Daniel


Note You need to log in before you can comment on or make changes to this bug.